package com.jsowell.pile.service.impl;

import com.jsowell.pile.domain.ThirdpartyParkingConfig;
import com.jsowell.pile.mapper.ThirdpartyParkingConfigMapper;
import com.jsowell.pile.service.ThirdPartyParkingConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TODO
 *
 * @author Lemon
 * @Date 2023/8/25 13:43
 */
@Service
public class ThirdPartyParkingConfigServiceImpl implements ThirdPartyParkingConfigService {

    @Autowired
    private ThirdpartyParkingConfigMapper thirdpartyParkingConfigMapper;


    @Override
    public int deleteByPrimaryKey(Integer id) {
        return thirdpartyParkingConfigMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(ThirdpartyParkingConfig record) {
        return thirdpartyParkingConfigMapper.insert(record);
    }

    @Override
    public int insertSelective(ThirdpartyParkingConfig record) {
        return thirdpartyParkingConfigMapper.insertSelective(record);
    }

    @Override
    public ThirdpartyParkingConfig selectByPrimaryKey(Integer id) {
        return thirdpartyParkingConfigMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(ThirdpartyParkingConfig record) {
        return thirdpartyParkingConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(ThirdpartyParkingConfig record) {
        return thirdpartyParkingConfigMapper.updateByPrimaryKey(record);
    }

    /**
     * 查询基本信息列表（调用时需分页）
     */
    @Override
    public List<ThirdpartyParkingConfig> selectInfoList() {
        return thirdpartyParkingConfigMapper.selectInfoList();
    }

}
